Subject: Re: 'Garden in Time' New 3D software FREE for testers

From: [email-masked] (Mindrew)
Date: 9 Mar 1995 00:27:10 -0500

If you're looking for a Mac tester with two acres in Connecticut and not
too much experience in gardening (oh, and I used to review software for
Electronic Games Magazine and MacUser), add me to the beta test list.  

-- T.F. Hines